<?php

namespace Me_Qr\Foundation;

class MeQrBaseFunctions
{
    public const CSS_PATH = 'backend/assets/css/';
    public const JS_PATH = 'backend/assets/js/';
    public const TEMPLATE_PATH = 'backend/templates/';

    public static function build_url(string $uri): string
    {
        return ME_QR_APP_URL . $uri;
    }

    public static function build_path(string $path): string
    {
        return ME_QR_APP_PATH . $path;
    }

    public static function getCssUrl(string $path): string
    {
        return ME_QR_APP_URL . self::CSS_PATH . $path . '.css';
    }

    public static function getJsUrl(string $path): string
    {
        return ME_QR_APP_URL . self::JS_PATH . $path . '.js';
    }

    public static function getTemplateUrl(string $path): string
    {
        return ME_QR_APP_PATH . self::TEMPLATE_PATH . $path . '.php';
    }
}
