<?php

namespace Me_Qr\Repository;

use Me_Qr\Entity\UserEntity;
use Me_Qr\Entity\UserEntityBuilder;

class UserEntityRepository
{
    private $db;
    private string $dbName;

    public function __construct()
    {
        global $wpdb;
        $this->db = $wpdb;
        $this->dbName = $wpdb->prefix . 'users';
    }

    public function findUserByEmail(string $email): ?UserEntity
    {
        $query = "
            SELECT * 
            FROM {$this->dbName} AS user 
            WHERE user.user_email = %s
        ";

        $resultObject = $this->db->get_row( $this->db->prepare( $query, $email ) );
        if (!$resultObject) {
            return null;
        }

        return UserEntityBuilder::buildDbObject($resultObject);
    }
}