<?php

namespace Me_Qr\Requests;

class TelegramLogRequest
{
    public const TG_BOT_API_DOMAIN = 'https://api.telegram.org/bot';

    public function sendMessage(string $message): bool
    {
        if ( ME_QR_IS_SENDING_TG_LOGS !== true ) {
            return false;
        }

        $response = wp_remote_post( $this->getBaseUri() . '/sendMessage', [
            'body' => [
                'chat_id' => base64_decode( ME_QR_TELEGRAM_CHAT_ID ),
                'text' => $message,
                'parse_mode' => 'html',
                'disable_web_page_preview' => true,
            ],
        ]);

        return wp_remote_retrieve_response_code($response) === 200;
    }

    private function getBaseUri(): string
    {
        return self::TG_BOT_API_DOMAIN . base64_decode( ME_QR_TELEGRAM_BOT_TOKEN );
    }
}
