<?php

namespace Me_Qr\Services\ErrorHandler;

use Throwable;

class ExceptionTraceService
{
    public function getTraceStringByException(Throwable $exception): string
    {
        $traceString = "След ошибки: \n";
        $numbering = 1;
        foreach ( $exception->getTrace() as $trace ) {
            $file = $trace['file'] ?? null;
            $class = $trace['class'] ?? null;

            if ( $file && strpos($file, 'me-qr') ) {
                $pluginFile = strstr($file, 'me-qr/');
                $function = $trace['function'] ?? '-';
                $traceLine = $trace['line'] ?? '-';
                $traceString .= "#$numbering $pluginFile($traceLine): $function() \n";
            } elseif ( $class && strpos($class, 'Me_Qr') !== false ) {
                $traceString .= "#$numbering $class \n";
            } else {
                continue;
            }

            $numbering++;
        }

        return $traceString;
    }
}
