<?php

namespace Me_Qr\Services\ErrorHandler;

use Throwable;

class RecurringErrorFuse
{
    public function isValidException(Throwable $exception): bool
    {
        $uniqueExceptionKey = $this->getUniqueErrorKey($exception);
        if ( $this->isExistUniqueException($uniqueExceptionKey) ) {
            return false;
        }
        $this->saveTransientValueException($uniqueExceptionKey);

        return true;
    }

    private function getUniqueErrorKey(Throwable $exception): string
    {
        return str_replace(
            ['/', '.php'],
            '',
            strrchr($exception->getFile(), '/') . ':' . $exception->getLine()
        );
    }

    private function isExistUniqueException(string $key): bool
    {
        $uniqueExceptions = get_transient(ME_QR_UNIQUE_KEY_EXCEPTIONS_OPTION_TITLE);
        if ( !$uniqueExceptions ) {
            return false;
        }

        return in_array($key, $uniqueExceptions, false);
    }

    private function saveTransientValueException(string $key): void
    {
        $uniqueExceptions = get_transient(ME_QR_UNIQUE_KEY_EXCEPTIONS_OPTION_TITLE);
        if ( !$uniqueExceptions ) {
            $uniqueExceptions = [];
        }

        $uniqueExceptions[] = $key;

        set_transient(ME_QR_UNIQUE_KEY_EXCEPTIONS_OPTION_TITLE, $uniqueExceptions);
    }

    public function clearExceptionData(): void
    {
        delete_transient(ME_QR_UNIQUE_KEY_EXCEPTIONS_OPTION_TITLE);
    }
}