<?php

namespace Me_Qr\Services\Loggers\FileLog;

use Me_Qr\Services\Loggers\FileLog\Types\FileErrorLog;
use Me_Qr\Services\Loggers\FileLog\Types\FileInfoLog;
use Throwable;

class FileLogHandler
{
    private FileErrorLog $fileErrorLog;
    private FileInfoLog $fileInfoLog;

    public function __construct(
        FileErrorLog $fileErrorLog,
        FileInfoLog $fileInfoLog
    ) {
        $this->fileErrorLog = $fileErrorLog;
        $this->fileInfoLog = $fileInfoLog;
    }

    public function error(string $message): void
    {
        $this->fileErrorLog->createError($message);
    }

    public function exception(Throwable $exception): void
    {
        $this->fileErrorLog->createException($exception);
    }

    public function info(string $message): void
    {
        $this->fileInfoLog->createInfo($message);
    }
}