<?php

namespace Me_Qr\Services\Loggers\TelegramLog;

use Me_Qr\Services\ErrorHandler\ExceptionTraceService;
use Throwable;

class TelegramErrorLogService
{
    private ExceptionTraceService $exceptionTraceService;

    public function __construct(
        ExceptionTraceService $exceptionTraceService
    ) {
        $this->exceptionTraceService = $exceptionTraceService;
    }

    public function createByMessage($message): string
    {
        $text = "\xE2\x9D\x97 Ошибка \n";
        $text .= "Домен: " . get_site_url() . " \n";
        $text .=
            "Полный URL: " .
            ((!empty($_SERVER['HTTPS'])) ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'] .
            sanitize_url( $_SERVER['REQUEST_URI'] ) . "\n"
        ;
        $text .= "\n";
        $text .= "Содержание ошибки: $message \n";

        return $text;
    }

    public function createByException(Throwable $exception ): string
    {
        $text = $this->createByMessage($exception->getMessage());
        $text .= "\n";
        $text .= $this->exceptionTraceService->getTraceStringByException($exception);

        return $text;
    }
}
