<?php

namespace Me_Qr\Services;

use Me_Qr\Exceptions\AdminUndefinedException;
use Me_Qr\Exceptions\RegistrationStartException;
use Me_Qr\Services\UserRegistration\UserQrTokenService;
use Me_Qr\Services\UserRegistration\UserRequestsService;

class MeQrPluginInstallationService
{
    private UserRequestsService $userRequestsService;

    public function __construct(
        UserRequestsService $userRequestsService
    ) {
        $this->userRequestsService = $userRequestsService;
    }

    /**
     * @throws AdminUndefinedException
     * @throws RegistrationStartException
     */
    public function handle(): void
    {
        $this->createUser();
    }

    /**
     * @throws AdminUndefinedException
     * @throws RegistrationStartException
     */
    private function createUser(): void
    {
        if (UserQrTokenService::get()) {
            return;
        }

        $token = $this->userRequestsService->registerQrUser();
        UserQrTokenService::set($token);
    }
}
