<?php

namespace Me_Qr\Services;

use Me_Qr\Services\ErrorHandler\RecurringErrorFuse;
use Me_Qr\Services\File\DirectoryUploadService;
use Me_Qr\Services\UserRegistration\UserQrTokenService;

class MeQrPluginRemovalService
{
    private RecurringErrorFuse $recurringErrorFuse;

    public function __construct(RecurringErrorFuse $recurringErrorFuse)
    {
        $this->recurringErrorFuse = $recurringErrorFuse;
    }

    public function uninstall(): void
    {
        UserQrTokenService::delete();
        $this->recurringErrorFuse->clearExceptionData();
        DirectoryUploadService::deleteQrDirectory();
        DirectoryUploadService::deleteMeQrContentDirectory();
    }
}
