<?php

namespace Me_Qr\Services\Shortcodes\QrPageShortcode\DTO;

class ShortcodeDataDTO
{
    /**
     * @MeQrAssert\NotBlank({"errorMessage": "Post id cannot be empty"})
     * @MeQrAssert\NumericType({"errorMessage": "Post id for shortcode must be of numeric type, {{ type }} given."})
     */
    private $postId;

    /**
     * @MeQrAssert\NotBlank({"errorMessage": "Qr format for shortcode cannot be empty"})
     * @MeQrAssert\QrFormat({"errorMessage": "Qr format for shortcode does not match available formats, {{ value }} given."})
     */
    private $format;

    /**
     * @MeQrAssert\StringType({"errorMessage": "Qr block class for shortcode must be a string type, {{ type }} given."})
     */
    private $qrBlockClass;

    /**
     * @MeQrAssert\StringType({"errorMessage": "Qr image class for shortcode must be a string type, {{ type }} given."})
     */
    private $qrImgClass;

    public function __construct($postId, $format, $qrBlockClass, $qrImgClass)
    {
        $this->postId = $postId;
        $this->format = $format;
        $this->qrBlockClass = $qrBlockClass;
        $this->qrImgClass = $qrImgClass;
    }

    public function getPostId(): int
    {
        return $this->postId;
    }

    public function getFormat(): string
    {
        return $this->format;
    }

    public function getQrBlockClass(): ?string
    {
        return $this->qrBlockClass;
    }

    public function getQrImgClass(): ?string
    {
        return $this->qrImgClass;
    }
}
