<?php

namespace Me_Qr\Services\Template;

use Me_Qr\Services\Template\Exceptions\TemplateParamsException;

class TemplateParams
{
    private array $params;

    public function __construct(array $params = [])
    {
        $this->params = $params;
    }

    public function all(): array
    {
        return $this->params;
    }

    public function get(string $key, $defaultValue = null)
    {
        return $this->params[$key] ?? $defaultValue;
    }

    /**
     * @throws TemplateParamsException
     *
     * Use if you need to get a mandatory parameter in the template,
     * without which it is forbidden to copy the code further
     */
    public function getReq(string $key)
    {
        $param = $this->params[$key] ?? null;
        if ( !$param ) {
            throw new TemplateParamsException($key, $this->get('templatePath'));
        }

        return $param;
    }
}
