<?php

namespace Me_Qr\Services\Url;

class UrlService
{
    public static function is_current_uri(
        string $mainSearchUrl,
        array $clarifications = [],
        array $exclusions = []
    ): bool {
        $uri = sanitize_url( $_SERVER['REQUEST_URI'] );
        if (!$uri) {
            return false;
        }

        if ($exclusions) {
            foreach ($exclusions as $exclusion) {
                if (!is_string((string) $exclusion)) {
                    continue;
                }

                if (str_contains($uri, $exclusion)) {
                    return false;
                }
            }
        }

        $isExistMain = str_contains($uri, $mainSearchUrl);
        if (!$isExistMain) {
            return false;
        }

        if ($clarifications) {
            foreach ($clarifications as $clarification) {
                if (!is_string((string) $clarification)) {
                    continue;
                }

                if (!str_contains($uri, $clarification)) {
                    return false;
                }
            }
        }

        return true;
    }

    public static function is_gutenberg_page(): bool
    {
        return self::is_current_uri( 'post', ['action', 'edit']);
    }
}
