<?php

namespace Me_Qr\Services\Validation\Assert\Types;


class StringType extends AbstractValidationType
{
    public const MODULE_TITLE = 'StringType';

    protected ?string $errorMessage =
        'The specified value "{{ value }}" of the property {{ property }}, must be a ' .
        'string type, {{ type }} is specified'
    ;

    public function isValid(): bool
    {
        if ( $this->value === null ) {
            return true;
        }

        if ( !is_string( $this->value ) ) {
            return false;
        }

        $value = sanitize_text_field($this->value);
        return $value === '';
    }
}
