<?php

namespace Me_Qr\Services\Validation;

use Me_Qr\Services\Validation\Exceptions\ValidationExceptionInterface;

class ValidationExceptionList
{
    private array $exceptions;

    public function __construct(
        array $exceptions = []
    ) {
        $this->exceptions = $exceptions;
    }

    public function getExceptions(): array
    {
        return $this->exceptions;
    }

    public function addException(ValidationExceptionInterface $exception): self
    {
        $this->exceptions[] = $exception;

        return $this;
    }

    public function isException(): bool
    {
        return count($this->exceptions) > 0;
    }
}
