<?php

use Me_Qr\Foundation\MeQrBaseFunctions;
use Me_Qr\Services\QrProvider\DTO\QrProviderDTO;
use Me_Qr\Services\Shortcodes\QrPageShortcode\DTO\ShortcodeDataDTO;
use Me_Qr\Services\Template\TemplateParams;

return static function ( TemplateParams $params ): void
{
    wp_enqueue_style('me_qr_front_block_style', MeQrBaseFunctions::getCssUrl('front/qr-shortcode-box' ));

    /* @var $qrCodeDTO QrProviderDTO */
    $qrCodeDTO = $params->getReq('qrCodeDTO');
    /* @var $shortcodeDTO ShortcodeDataDTO */
    $shortcodeDTO = $params->getReq('shortcodeDTO');

    ?>
        <div class="me-qr-code-box <?php echo esc_attr( $shortcodeDTO->getQrBlockClass() ); ?>">
            <img src="<?php echo esc_url( $qrCodeDTO->getQrCode() ); ?>"
                 alt="qr_code_img"
                 class="me-qr-img <?php echo esc_attr( $shortcodeDTO->getQrImgClass() ); ?>"
            />
        </div>
    <?php
};
