<?php

/*
Plugin Name: QR Code for Pages
Description: Is a plugin for generating QR codes for your WordPress pages or posts made by ME-Team.
Version: 1.0.2
Requires at least: 5.8
Requires PHP: 7.4+
Author: Me-Team
Author URI: https://me-team.org/
License: GPLv2 or later
Text Domain: me-qr
*/

defined( 'ABSPATH' ) || exit;

/* Composer autoload */
require_once __DIR__ . '/backend/vendor/autoload.php';
require_once __DIR__ . '/backend/configs/me-qr-sys-configs.php';
require_once __DIR__ . '/backend/configs/me-qr-configs.php';

/* Base plugin constants */
const MQ_FILE_PATH = __FILE__;
define( 'ME_QR_PLUGIN_DATA', get_file_data(MQ_FILE_PATH, [ 'name'   => 'Plugin Name' ] ) );
define( 'ME_QR_APP_PATH', trailingslashit( plugin_dir_path( MQ_FILE_PATH ) ) );
define( 'ME_QR_APP_URL', trailingslashit( plugins_url( '/', MQ_FILE_PATH ) ) );

// The main class for executing the plugin logic, and DependencyInjectionContainer initialization
$meQrPlugin = new Me_Qr\Foundation\MeQrPluginExecute();
$meQrPlugin->execute();
