<?php

defined( 'ABSPATH' ) || exit;
defined( 'WP_UNINSTALL_PLUGIN' ) || exit;

use Me_Qr\Foundation\Container;
use Me_Qr\Services\ErrorHandler\ErrorHandlerService;
use Me_Qr\Services\MeQrPluginRemovalService;

require_once __DIR__ . '/backend/vendor/autoload.php';
require_once __DIR__ . '/backend/configs/me-qr-sys-configs.php';
require_once __DIR__ . '/backend/configs/me-qr-configs.php';

/* Composer autoload */
$container = new Container();

try {
    $container->get( MeQrPluginRemovalService::class )->uninstall();
} catch (Throwable $exception) {
    $container->get( ErrorHandlerService::class )->handleException($exception, false, true, true);
}
